# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'league_track_abrophy/version'

Gem::Specification.new do |spec|
  spec.name          = 'league_track_abrophy'
  spec.version       = LeagueTrackAbrophy::VERSION
  spec.authors       = ['Arthur Brophy']
  spec.email         = ['artbrophy@gmail.com']

  spec.summary       = 'solution to league problem'
  spec.description   = 'LeagueTrack is a commandline ruby gem for calculating '\
    'the final score for a league give input of final scores of matches played'
  spec.homepage      = 'http://github.com/abrophy/server-side-developer-test.git'
  spec.license       = 'MIT'

  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.executables   = ['league_track_abrophy']
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16.4'
  spec.add_development_dependency 'rake', '~> 12.3.1'
  spec.add_development_dependency 'rspec', '~> 3.8.0'
  spec.add_development_dependency 'rubocop', '~> 0.59.1'
end
